/*
    Name: SSL Consulenze
    Author: Rossano Menna
    Version: 1.0
    Date: 16/1/2024
*/
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700;800&display=swap');

:root {
    --primaryFace: 'Inter', sans-serif;
    --primaryColor: #ffffff;
    --secondaryColor: #013A65;
    --supportColor: #048AD1;
    --lightGrey: #f5f5f5;
    --grey: #e4e4e4;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body {
    background-color: var(--lightGrey);
    font-family: var(--primaryFace);
    color: var(--secondaryColor);
}

.container {
    background-color: var(--primaryColor);
    max-width: 1440px;
    margin: 0 auto;
}

section {
    padding: 130px 80px 100px 80px;
}

.mb {
    margin-bottom: 15px;
}

/* typography */
a {
    color: var(--secondaryColor);
    text-decoration: none;
}

li {
    list-style: none;
}

h1 {
    text-transform: uppercase;
    color: var(--secondaryColor);
    font-size: 3em;
    margin: 15px 0 25px 0;
}

h2 {
    color: var(--secondaryColor);
    font-size: 1.9em;
    text-align: center;
}

h3 {
    text-transform: uppercase;
    color: var(--supportColor);
    font-size: 1.4em;
}

h4 {
    text-transform: uppercase;
    color: var(--supportColor);
    font-size: .9em;
}

strong {
    color: var(--secondaryColor);
}

/* button system */
.btn-1 {
    background-color: var(--supportColor);
    color: var(--primaryColor);
    font-weight: 600;
    padding: 8px 16px;
    border-radius: 50px;
    transition: .5s;
}

.btn-1:hover {
    background-color: var(--secondaryColor);
}

.btn-2 {
    color: var(--secondaryColor);
    font-weight: 500;
    padding: 8px 16px;
    border-radius: 50px;
    border: 2px solid var(--secondaryColor);
    transition: .5s;
}

.btn-2:hover {
    background-color: var(--secondaryColor);
    color: var(--primaryColor);
}

.btn-3 {
    color: var(--secondaryColor);
    background-color: #ffffff;
    font-weight: 500;
    padding: 8px 16px;
    border-radius: 50px;
    border: none;
    transition: .5s;
}

/* ---------- structure */
/* ----- header */

header {
    background-color: var(--primaryColor);
    padding: 20px 80px;
    position: fixed;
    max-width: 1440px;
    width: 100%;
    transition: all 0.3s;
    background: rgba(255, 255, 255, 0.889);
    backdrop-filter: blur(5px);
    z-index: 98;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    width: 220px;
}

.menu {
    display: flex;
    gap: 50px;
}

.menu__container {
    position: relative;
    padding: 3px 0;
    width: 100%;
}

.menu__container::before {
    content: '';
    position: absolute;
    background-color: var(--secondaryColor);
    top: 100%;
    left: 0;
    width: 0;
    height: 2px;
    transition: .3s ease-in-out;
}

.menu__container:hover::before {
    width: 100%;
}

.links {
    font-weight: 500;
}

/* hamburger */
.hamburger {
    display: none;
}

.right_menu {
    display: none;
}

/* ----- hero section */
.hero-section {
    padding: 150px 120px 50px 120px;
    width: 100%;
    height: 100%;
}

.hero__container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.hero__container div:nth-child(1) {
    display: grid;
    place-content: center;
}

.hero__container .btn-1 {
    width: 92px;
}

.hero__img {
    width: 100%;
}

/* ----- consulenze section */
.cons-slide h4 {
    margin: 15px 0;
    color: var(--secondaryColor);
}

.consulenze__wrapper {
    text-align: center;
    margin: 100px 0 0 0;
    padding-left: 10px;
}

.bg-icon {
    background-color: var(--secondaryColor);
    width: 100px;
    height: 100px;
    display: grid;
    place-content: center;
    border-radius: 100%;
    max-width: 100px;
    margin: 0 auto;
}

.consulenze__wrapper i {
    color: var(--primaryColor);
    font-size: 50px;
}

.cons-slide p {
    padding: 0 65px;
}

.slick-prev:before, .slick-next:before {
    font-size: 30px !important;
    color: var(--secondaryColor) !important;
}

/*-----info studio */
.info-studio {
    background-color: var(--grey);
    padding: 50px 80px;
}
.info-studio-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 50px;
}

.info-studio i {
    margin-right: 1em;
    margin-bottom: 15px;
    font-size: 1.5em;
}

.info-studio p {
    margin-top: 15px;
    font-size: .9em;
}

/* ----- formazione section */
.formazione-section {
    margin-top: -50px;
}

.formazione-section h3 {
    font-size: 1em;
    text-align: center;
}

.formazione-section p {
    text-align: center;
    padding: 0 200px;
    margin: 25px 0 60px 0;
}

.corsi-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
    margin: 0 100px;
}

.corsi-grid div {
    display: flex;
    justify-content: left;
    align-items: center;
    padding: 15px;
    font-weight: 800;
}

/*
.corsi-grid div .circle {
    position: relative;
    background-color: var(--secondaryColor);
    clip-path: circle(50% at 50% 50%);
    margin-right: 10px;
}

.corsi-grid div .circle span {
    position: absolute;
    right: 0;
    bottom: -.2em;
    background-color: var(--secondaryColor);
    clip-path: circle(50% at 50% 50%);
    color: var(--primaryColor);
    font-size: 1.6em;
    font-weight: 800;
}
*/

.corsi-grid div .circle i {
    font-size: 2em;
}

.btn-formazione {
    text-align: center;
}

.alert  {
    display: flex;
max-width: 70%;
padding: 20px;
border-radius: 15px;
margin: 100px auto 0 auto;
background-color: #23e67b5c;
}

.alert i {
    font-size: 1.3em;
    margin-right: .5em;
}

.alert p {
    font-size: 1em;
}

/* ----- cantieri section */
.cantieri-section {
    position: relative;
    margin-top: 50px;
    background-color: var(--grey);
    background-image:linear-gradient(rgba(255, 255, 255, 0.600) 30%, rgba(255, 255, 255, 620), 20%, rgba(255, 255, 255, 0.640)), url('../../media/cantieri.jpg');
    background-size: cover;
    background-attachment: fixed;
}

.cantieri-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 200px;
    text-align: center;
    margin: 50px;
}

.cantieri-section h2 {
    color: var(--supportColor);
    font-size: 2.5em;
    text-transform: uppercase;
}

.cantieri-grid div {
    background-color: var(--primaryColor);
    padding: 70px 20px;
    border-radius: 15px;
    z-index: 1;
    color: var(--supportColor);
}

.cantieri-grid i {
    font-size: 2em;
    margin-bottom: 15px;
}

.cantieri-grid h3 {
    font-size: 1.8em;
    margin-bottom: .5em;
}

.cantieri-grid p {
    color: var(--secondaryColor);
    font-size: 1em;
}

.mask__right {
    position: absolute;
    right: 0;
    z-index: 0;
}

/* ----- partner section */
.partner-section {
    margin-top: 50px;
}

.partner-section .partner__wrapper {
    margin-top: 50px;
}

.partner-section .partner__wrapper div {
    display: flex;
    justify-content: center;
    align-items: center;
}

.partner-section .partner__wrapper div a img {
    width: 120px;
    /*filter: grayscale(100%);*/
    transition: .5s;
}

.partner-section .partner__wrapper div a .ff {
    width: 220px;
}

.partner__wrapper div a img:hover {
    filter: grayscale(0%);
}

/* ----- testimonianze section */
.testimonianze-section .testimonianze__wrapper {
   padding-left: 10px;
   margin: 50px 0 0 0;
   text-align: center;
}

.testimonianze-section .testimonianze__wrapper i {
    color: var(--secondaryColor);
   font-size: 4em;
   padding: 20px 25px;
   border: 3px solid var(--secondaryColor);
   border-radius: 45px;
}

.stars {
    display: flex;
    align-items: center;
    justify-content: center;
}

.star {
    font-size: 1em !important;
    border: none !important;
    padding: 5px !important;
    margin-top: 1em;
}

.valutazione-container {
    background-color: var(--lightGrey);
    padding: 20px;
    border-radius: 15px;
    margin: 30px 40px;
}

.autore {
    font-weight: 600;
    color: var(--supportColor);
    margin-top: 10px;
}

/* ----- app section */
.app-section {
    margin-top: -50px;
}

.app-section h2 {
    text-align: left;
}

.app-grid {
    margin-top: 50px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.app-grid div:nth-child(2) {
    text-align: center;
}

.app-grid img {
    width: 40%;
}

.app-grid p {
    margin-bottom: 50px;
}

/* ----- contatti section */
.contatti-section {
    margin-top: -50px;
    margin-bottom: -50px;
}

.header__contatti {
    display: flex;
    align-items: center;
    gap: 20px;
}

.header__contatti h2 {
    margin-right: 50px;
}

.contatti-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin: 50px 0;
    gap: 30px;
}

.map {
    margin-top: 10px;
}

.info-container {
    margin: 30px 0;
}

.info  {
    display: flex;
    gap: 10px;
}

.info i {
    font-size: 1.3em;
}

form .inline {
    display: flex;
    align-items: center;
    gap: 25px;
    margin-bottom: 15px;
}

form .inline input {
    width: 50%;
    height: 40px;
    padding: 5px 15px;
    border: none;
    background-color: var(--lightGrey);
    border-radius: 15px;

}

form .inline textarea {
    font-family: var(--primaryFace);
    width: 80%;
    height: 120px;
    padding: 5px 15px;
    border: none;
    background-color: var(--lightGrey);
    border-radius: 15px;
}
form .inline button {
    background-color: var(--supportColor);
    width: 20%;
    height: 120px;
    padding: 5px;
    border: none;
    border-radius: 15px;
    cursor: pointer;
    transition: .5s;
}

form input:focus, textarea:focus {
    outline: none;
}

form .inline button:hover {
    background-color: var(--secondaryColor);
}

form .inline button i {
    color: var(--primaryColor);
    font-size: 2em;
}

form .inline button p {
    color: var(--primaryColor);
    font-size: 1.5em;
    text-transform: uppercase;
    margin-top: 5px;
    font-weight: 500;
}

form .inline-2 {
    display: flex;
    align-items: center;
    gap: 25px;
    margin-bottom: 15px;
}

form .inline-2 div {
    width: 100%;
}

form .error {
    color: rgb(212, 41, 41);
}

.alert-ok {
    width: 80%;
    padding: 10px;
    background-color: rgb(85, 228, 106);
    font-size: 1.2rem;
    color: var(--secondaryColor);
    margin-bottom: 15px;
  }

/* ----- footer */
footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--supportColor);
    color: var(--primaryColor);
    font-size: .9em;
    font-weight: 300;
    padding: 20px 80px;
}

footer span {
    font-weight: 800;
}

footer a {
    color: var(--primaryColor);
}

/* ----- banner cookies */
.cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    transition: all 0.3s;
    background: rgba(255, 255, 255, 0.889);
    backdrop-filter: blur(5px);
    color: var(--secondaryColor);
    padding: 20px;
    text-align: center;
    z-index: 97;
    border-top: 6px solid #f5f5f5;
}

.banner-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.cookie-banner .banner-container i {
    font-size: 2em;
}

.cookie-banner .banner-container span {
    padding: 20px;
}

/* ----- banner coockies */
#accept-cookies, #reject-cookies {
    background-color: var(--supportColor);
    color: var(--primaryColor);
    padding: 8px 16px;
    margin: 0 10px;
    border: none;
    border-radius: 50px;
    cursor: pointer;
}




